#ifndef Foundation_Math_Ortho_INCLUDED
#define Foundation_Math_Ortho_INCLUDED


namespace Tn {

namespace math {

template <typename T>
struct Ortho {

    typedef T component_type;

    T left;
    T right;
    T bottom;
    T top;
    T fms_near;
    T fms_far;

    Ortho(T l, T r, T b, T t, T n, T f) 
        : left(l), right(r), bottom(b), top(t), 
          fms_near(n), 
          fms_far(f) {}
};


typedef Ortho<float> Orthof;
typedef Ortho<double> Orthod;

} // end namespace math

} // end namespace Tn


#endif
